List targets this target belongs to
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/targets/{targetId}/memberof
Lists the targets that the specified target is a member of (for example, groups that contain this target).
Request
Path Parameters
-
targetId(required): string
the target id
Query Parameters
-
limit: integer(int32)
Minimum Value:
1Maximum Value:2000to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.Example:20 -
page: string
system generated page token used in the self, next and previous links.
-
sort: string
Sort results as field:direction (example: id:ASC).Example:
id:ASC -
targetName: string
Target name filter (optional).
-
targetType: string
Target type filter (optional).
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK
Root Schema : TargetMemberof
Type:
objectPaged list of targets that the specified target is a member of.
Show Source
-
count(required): integer
Number of items returned in this response.
-
items(required): array
items
Member-of summaries.
-
links(required): object
links
Result set navigation links.
Nested Schema : items
Type:
arrayMember-of summaries.
Show Source
-
Array of:
object MemberOfSummary
Summary of a target that the specified target belongs to.
Nested Schema : MemberOfSummary
Type:
objectSummary of a target that the specified target belongs to.
Show Source
-
id: string
Target identifier.Example:
targetId -
name: string
Target name.Example:
TargetName -
typeDisplayName: string
Target type display name.Example:
TargetTypeDisplayName -
typeName: string
Target type.Example:
TargetType
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description